%global drupalver 6
%{?rhel: %{expand: %%global drupal drupal%%{drupalver}}}
%if 0%{?fedora} >= 15
%global drupal drupal%{drupalver}
%endif
%{!?drupal: %{expand: %%global drupal drupal}}
# e.g. "/usr/share/drupal6"
%global drupaldir %{_datadir}/%{drupal}
# Use upstream name as expressed in URL and tarball
%global modname diff

Name:    drupal%{drupalver}-%{modname}
Version: 2.3
Release: 1%{?dist}
Summary: Show diff-type changes in Drupal %{drupalver}
Group:   Applications/Publishing
License: GPLv2+
URL:     http://drupal.org/project/%{modname}
Source0: http://ftp.drupal.org/files/projects/%{modname}-%{drupalver}.x-%{version}.tar.gz
Source1: %{name}-fedora-README.txt
# See http://drupal.org/node/1216284
Source2: LICENSE.txt
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:  %{drupal} >= 6.0

%description
This module adds a tab for sufficiently permissioned users. The tab
shows all revisions like standard Drupal but it also allows pretty
viewing of all added/changed/deleted words between revisions.

%prep
%setup -qn %{modname}

%build
cp %{SOURCE1} .
cp %{SOURCE2} .

%install
rm -rf %{buildroot}
install -d %{buildroot}%{drupaldir}/modules/%{modname}
find . -type f -exec install -m 0644 -D '{}' %{buildroot}%{drupaldir}/modules/%{modname}/'{}' \;


%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc readme.txt LICENSE.txt %{name}-fedora-README.txt
%exclude %{drupaldir}/modules/%{modname}/readme.txt
%exclude %{drupaldir}/modules/%{modname}/LICENSE.txt
%exclude %{drupaldir}/modules/%{modname}/%{name}-fedora-README.txt
%{drupaldir}/modules/%{modname}

%changelog
* Sun Aug  7 2011 Paul W. Frields <stickster@gmail.com> - 2.3-1
- New upstream, reverts theme problem when not using Realname module

* Mon Aug  1 2011 Peter Borsa <peter.borsa@gmail.com> - 2.2-2
- New upstream version.

* Tue Jul 12 2011 Paul W. Frields <stickster@gmail.com> - 2.1-2
- Use updated LICENSE.txt with correct address

* Tue Apr 26 2011 Paul W. Frields <stickster@gmail.com> - 2.1-1
- Initial RPM package
